
%global meadversion 5.13.3.202401111512
%global namedversion 5.13.3.202401111512-r-redhat-00001
%global meadalpha .r_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package eclipse-jgit}
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 5.13.3.202401111512-r-redhat-00001

Name:		    %{?scl_prefix}eclipse-jgit
Summary:	    Eclipse JGit Project
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source100: org.eclipse.jgit-parent-5.13.3.202401111512-r-redhat-00001-project-sources.tar.gz
%endif

License:        BSD
URL:            http://www.eclipse.org/jgit
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
Pure Java implementation of Git.

%if %with javadoc
%package javadoc
Summary:        Javadoc for eclipse-jgit
Group:          Development/Java


%description javadoc
Javadoc for eclipse-jgit
%endif

%package -n %{?scl_prefix}eclipse-jgit-ant
Summary:        JGit - Ant Tasks
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-ant
%{summary}.

%package -n %{?scl_prefix}eclipse-jgit-archive
Summary:        JGit - Archive Formats
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-archive
%{summary}.

%package -n %{?scl_prefix}eclipse-jgit-http-apache
Summary:        JGit - Apache httpclient based HTTP support
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-http-apache
%{summary}.

%package -n %{?scl_prefix}eclipse-jgit-http-server
Summary:        JGit - HTTP Server
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-http-server
%{summary}.

%package -n %{?scl_prefix}eclipse-jgit-junit
Summary:        JGit - JUnit Utility Classes
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-junit
%{summary}.

%package -n %{?scl_prefix}eclipse-jgit-junit-http
Summary:        JGit - JUnit Http Utility Classes
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-junit-http
%{summary}.

%package -n %{?scl_prefix}eclipse-jgit-lfs
Summary:        JGit - Large File Storage
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-lfs
%{summary}.

%package -n %{?scl_prefix}eclipse-jgit-lfs-server
Summary:        JGit - Large File Storage Server
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-lfs-server
%{summary}.

%package -n %{?scl_prefix}eclipse-jgit-ui
Summary:        JGit - AWT User Interface
Group:          Development/Java

%description -n %{?scl_prefix}eclipse-jgit-ui
%{summary}.

%prep
%setup -q -n org.eclipse.jgit-parent-%{namedversion} -T -b 100

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/org.eclipse.jgit-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ant-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ant-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.archive-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.archive-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.http.apache-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.http.apache-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.http.server-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.http.server-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.junit-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.junit-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.junit.http-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.junit.http-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.lfs-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.lfs-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.lfs.server-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.lfs.server-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ssh.apache-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ssh.apache-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ui-%{namedversion}.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ui-%{namedversion}.jar


%{__cp} -p %{_sourcedir}/org.eclipse.jgit-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ant-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ant-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.archive-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.archive-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.http.apache-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.http.apache-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.http.server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.http.server-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.junit-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.junit-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.junit.http-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.junit.http-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.lfs-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.lfs-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.lfs.server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.lfs.server-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ssh.apache-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ssh.apache-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ui-%{namedversion}-sources.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ui-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)
%if 0
%if %with javadoc
%{__cp} -p %{_sourcedir}/org.eclipse.jgit-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ant-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ant-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.archive-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.archive-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.http.apache-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.http.apache-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.http.server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.http.server-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.junit-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.junit-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.junit.http-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.junit.http-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.lfs-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.lfs-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.lfs.server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.lfs.server-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ui-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ui-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/org.eclipse.jgit.ui-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/org.eclipse.jgit.ui-%{namedversion}-javadoc.jar
%endif
%endif

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/eclipse-jgit-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.jgit-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.ant-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-ant%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.archive-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-archive-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.http.apache-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-http-apache-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.http.server-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-http-server-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.junit-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-junit-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.junit.http-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-junit-http-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.lfs-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-lfs-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.lfs.server-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-lfs-server-%{namedversion} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/org.eclipse.ui-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/eclipse-jgit-ui-%{namedversion} -x META-INF/\*

(cd %{buildroot}%{_javadocdir} && for dir in *-%{namedversion}*; do %{__ln_s} ${dir} `/bin/echo ${dir} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE README.md CONTRIBUTING.md BUILD WORKSPACE
%{_javadir}/org.eclipse.jgit-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.jar
%{_javadir}/org.eclipse.jgit-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit-sources.jar
%{_javadir}/org.eclipse.jgit.ssh.apache-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.ssh.apache.jar
%{_javadir}/org.eclipse.jgit.ssh.apache-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.ssh.apache-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-ant
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.ant-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.ant.jar
%{_javadir}/org.eclipse.jgit.ant-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.ant-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-archive
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.archive-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.archive.jar
%{_javadir}/org.eclipse.jgit.archive-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.archive-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-http-apache
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.http.apache-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.http.apache.jar
%{_javadir}/org.eclipse.jgit.http.apache-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.http.apache-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-http-server
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.http.server-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.http.server.jar
%{_javadir}/org.eclipse.jgit.http.server-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.http.server-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-junit
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.junit-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.junit.jar
%{_javadir}/org.eclipse.jgit.junit-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.junit-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-junit-http
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.junit.http-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.junit.http.jar
%{_javadir}/org.eclipse.jgit.junit.http-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.junit.http-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-lfs
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.lfs-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.lfs.jar
%{_javadir}/org.eclipse.jgit.lfs-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.lfs-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-lfs-server
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.lfs.server-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.lfs.server.jar
%{_javadir}/org.eclipse.jgit.lfs.server-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.lfs.server-sources.jar

%files -n %{?scl_prefix}eclipse-jgit-ui
%defattr(0644,root,root,0755)
%{_javadir}/org.eclipse.jgit.ui-%{namedversion}.jar
%{_javadir}/org.eclipse.jgit.ui.jar
%{_javadir}/org.eclipse.jgit.ui-%{namedversion}-sources.jar
%{_javadir}/org.eclipse.jgit.ui-sources.jar


%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/*
%endif


%changelog
* Wed Feb 28 2024 cpaas-ops <cpaas-ops@redhat.com> - 5.13.3.202401111512-1.r_redhat_00001.1
- Built by CPaaS

* Tue Dec 19 2023 Harsha Cherukuri <hcheruku@redhat.com> - 5.13.2-1.SP1_redhat_00001.1
- Wrapper build 5.13.2.SP1_redhat_00001

* Tue Dec 19 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.13.0.202109080827-2.r_redhat_00001.1
- Built by CPaaS

* Mon Oct 18 2021 Harsha Cherukuri <hcheruku@redhat.com> - 5.13.0.202109080827-1.r_redhat_00001.1
- Building for 5.13.0.202109080827_r_redhat_00001-1

* Tue May 11 2021 cpaas-ops <cpaas-ops@redhat.com> - 5.10.0.202012080955-1.r_redhat_00001.1
Built by CPaaS

* Wed Nov 18 2020 Permaine Cheung <pcheung@redhat.com> - 5.9.0.202009080501-1.r_redhat_00001.1
- Add ssh.apache.jar

* Tue Nov 17 2020 Permaine Cheung <pcheung@redhat.com> - 5.9.0.202009080501-1.r_redhat_00001.1
- Add ssh.apache.jar

* Wed Sep 19 2018 Permaine Cheung <pcheung@redhat.com> - 5.0.2.201807311906-2.r_redhat_00001.1
- Keep eclipse-jgit jar name and move back to main package

* Fri Sep 07 2018 Yong Yang <yyang@redhat.com> - 5.0.2.201807311906-1.r_redhat_00001.1
-  5.0.2.201807311906-r-redhat-00001 

* Fri Sep 07 2018 Yong Yang <yyang@redhat.com> - 5.0.2.201807311906-1.r_redhat_00001.1
-  5.0.2.201807311906-r-redhat-00001 

* Fri Sep 07 2018 Yong Yang <yyang@redhat.com> - 5.0.2.201807311906-1.r_redhat_00001.1
-  5.0.2.201807311906-r-redhat-00001 

* Thu Sep 06 2018 Yong Yang <yyang@redhat.com> - 5.0.2.201807311906
- Init build
